/* Reset default styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Body styles */
body {
  font-family: 'Trebuchet MS', sans-serif;
  line-height: 1.6;
  background: linear-gradient(to bottom, #ACE1AF, #1CAC78);
  min-height: 100vh;
}/* Section styles */
section {
  text-align: center;
  margin-top: 20px;
}

.update-card {
  width: 600px;
  margin: 20px auto;
  padding: 20px;
  border-radius: 30px;
  background: #670267;
  color: #fff;
  display: flex;
  align-items: center;
}

.update-card-utilman {
  width: 600px;
  margin: 20px auto;
  padding: 20px;
  border-radius: 30px;
  background: #670267;
  color: #fff;
  display: flex;
  align-items: center;
}
.update-card-utilman {
  display: flex;
  align-items: center;
}

.title-blob {
  background-color: #5f00a8;
  color: #fff;
  padding: 10px;
  border-radius: 20px 0 0 20px;
  margin-right: 10px;
}

#logout-button {
  background-color: #fff;
  color: #007300;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
}

#logout-button:hover {
  background-color: #007300;
  color: #fff;
}

.update-card img {
  width: 100px;
  margin-right: 20px;
}

.update-card .update-details {
  flex: 1;
}

.update-card-utilman .update-details {
  flex: 1;
}

.update-card h2 {
  font-size: 24px;
  margin-bottom: 10px;
}

.update-card p {
  font-size: 16px;
  margin-bottom: 20px;
}

.update-card-utilman h2 {
  font-size: 24px;
  margin-bottom: 10px;
}

.update-card-utilman p {
  font-size: 16px;
  margin-bottom: 20px;
}

.download-button {
  display: inline-block;
  padding: 10px 20px;
  background-color: #fff;
  color: #007300;
  text-decoration: none;
  border-radius: 5px;
  font-weight: bold;
  margin-left: auto;
}

nav {
  background-color: #00AB66;
  color: #fff;
  padding: 20px;
  border-bottom: 5px solid #009150;
}

#changeSchoolLink {
  position: absolute; /* Set the position of the new list item to absolute */
  top: 20px; /* Adjust top position as needed */
  right: 20px; /* Adjust right position as needed */
}

nav ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
}

nav li {
  margin-right: 20px;
}

nav li a {
  text-decoration: none;
  color: #fff;
  font-size: 18px;
  position: relative;
}

nav li a::before {
  content: '';
  position: absolute;
  bottom: -2px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color:#009150;
  transform-origin: center;
  transform: scaleX(0);
  transition: transform 0.3s ease;
}

nav li a:hover::before {
  transform: scaleX(1);
}

.headingText p {
  color: #fff;
  font-size: 80px;
  text-align: center
}

.headingText p:nth-child(2) {
  font-size: 34px; /* Adjust the font size as needed */
}

.underHeadingText p {
  color: #fff;
  font-size: 40px;
  text-align: center
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 40px 20px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.box {
  width: 300px;
  height: 200px;
  background-color: #007300;
  border-radius: 20px;
  margin: 20px;
  padding: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.box h2 {
  color: #fff;
  font-size: 24px;
  margin-bottom: 10px;
}

.box p {
  color: #fff;
  font-size: 16px;
  text-align: center;
}

.headingText p {
  color: #fff;
  font-size: 60px;
  text-align: center
}

.subtitleText p {
  color: #fff;
  font-size: 16px;
  text-align: center
}
.footerText p {
  color: #ffe;
  font-size: 10px;
  text-align: center
}

.loginForm {
  width: 400px;
  margin: 20px auto;
  padding: 20px;
  border-radius: 30px;
  background: #5f00a8;
  color: #fff;
  display: flex;
  align-items: center;
}

.login-section {
  width: 300px;
  margin: auto;
  padding: 20px;
  border-radius: 30px;
  background: #5f00a8;
  color: #fff;
}

.login-section h2 {
  font-size: 24px;
  margin-bottom: 20px;
}

#login-form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#username,
#password {
  width: 80%;
  padding: 10px;
  margin: 5px 0;
  border: none;
  border-radius: 20px;
}

#username {
  background-color: rgba(255, 255, 255, 0.1);
  color: #fff;
}

#password {
  background-color: rgba(255, 255, 255, 0.1);
  color: #fff;
}

#login-form button {
  width: 40%; /* Adjust width as needed */
  padding: 15px; /* Increase padding for taller button */
  border-radius: 50px; /* Increase border radius for more rounded corners */
  background-color: #fff;
  color: #00A86B;
  border: none;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
}

#login-form button:hover {
  background-color: #ACE1AF;
  color: #fff;
}

.form-container {
  width: 600px;
  margin: 20px auto;
  padding: 20px;
  border-radius: 30px;
  background: #1CAC78;
  color: #fff;
  text-align: center;
}

/*
.form-container label {
  font-size: 16px;
  margin-top: 10px;
  text-align: left; 
  display: inline-block;
  width: 100px; 
}
*/

.form-container h2 {
  font-size: 24px;
  margin-bottom: 20px;
}

#post-form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

label {
  font-size: 16px;
  margin-top: 10px;
}

input[type="text"],
textarea {
  width: 100%;
  padding: 10px;
  margin: 5px 0;
  border: none;
  border-radius: 5px;
  background-color: rgba(255, 255, 255, 0.1);
  color: #fff;
}

textarea {
  resize: vertical;
}

button[type="submit"] {
  width: 20%; /* Adjust width as needed */
  padding: 15px; /* Increase padding for taller button */
  border-radius: 50px; /* Increase border radius for more rounded corners */
  background-color: #fff;
  color: #5d005d;
  border: none;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
  margin-top: 20px;
}

.code-input-container {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

.code-input {
    border: none;
    width: 40px;
    text-align: center;
    margin: 0 5px;
    padding: 0;
    font-size: 36px;
    color: transparent;
    text-shadow: 0 0 0 black;
    caret-color: black;
    background: none;
    border-bottom: 2px solid black;
    outline: none;
}

.code-input:focus {
    border-bottom: 3px solid #9642a4; /* Change color on focus */
}


.underscore {
    font-size: 36px;
    margin: 0 5px;
    border-bottom: 2px solid black;
}

.underscore:hover {
    cursor: text;
}

button[type="submit"]:hover {
  background-color: #6e006e;
  color: #fff;
}

#logout-button {
  background-color: #fff;
  color: #007300;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
}

#logout-button:hover {
  background-color: #007300;
  color: #fff;
}

@media (max-width: 600px) {

  .update-card,
  .update-card-utilman {
    width: 100%;
    max-width: 400px;
  }

  .update-card,
  .update-card-utilman,
  .update-card img,
  .update-card .update-details,
  .update-card-utilman h2,
  .update-card-utilman p {
    margin: 0 auto;
  }

  nav ul {
    flex-wrap: wrap;
  }

  nav li {
    margin: 10px 0;
    flex-basis: 100%;
    text-align: center;
  }
  .headingText p {
    color: #fff;
    font-size: 30px;
    text-align: center
  }
  .underHeadingText p {
    color: #fff;
    font-size: 18px;
    text-align: center
  }
  .update-card-utilman h2 {
    font-size: 16px;
    margin-bottom: 10px;
  }
  .form-container {
    width: 100%;
    max-width: 400px;
  }
}